/*
 * Class EV_POINTER_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_165 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_165 [] = {0xFF01,1551,164,0xFFFF};
static const EIF_TYPE_INDEX egt_2_165 [] = {0xFF01,164,0xFFFF};
static const EIF_TYPE_INDEX egt_3_165 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_165 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_165 [] = {0xFF01,164,0xFFFF};
static const EIF_TYPE_INDEX egt_6_165 [] = {0xFF01,164,0xFFFF};
static const EIF_TYPE_INDEX egt_7_165 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_165 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_165 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_165 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_165 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_165 [] = {0xFF01,164,0xFFFF};


static const struct desc_info desc_165[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_165), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_165), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_165), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_165), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_165), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_165), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_165), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_165), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_165), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_165), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_165), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_165), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0149 /*164*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_165), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4157, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4158, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4159, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4160, 0xFFFFFFFF},
};
void Init165(void)
{
	IDSC(desc_165, 0, 164);
	IDSC(desc_165 + 1, 1, 164);
	IDSC(desc_165 + 32, 51, 164);
}


#ifdef __cplusplus
}
#endif
